%define module_name SQLAlchemy

Summary:	SQL toolkit and object relational mapper for Python
Name:		python-sqlalchemy
Version:	0.6.6
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		http://www.sqlalchemy.org/
Source0:	http://pypi.python.org/packages/source/S/%{module_name}/%{module_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-devel

%description
%{module_name} is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep

%setup -q -n %{module_name}-%{version}

%build
CFLAGS="%{optflags}" %__python setup.py --with-cextensions build

%install
%__rm -rf %{buildroot}

PYTHONDONTWRITEBYTECODE= %__python setup.py --with-cextensions install --skip-build --root=%{buildroot} 

%clean
%__rm -rf %{buildroot}

#%check
#%__python setup.py test

%files
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE README doc/* examples
%{py_platsitedir}/*




%changelog
* Fri Apr 08 2011 philippem <philippem> 0.6.6-1.mga1
+ Revision: 82011
- imported package python-sqlalchemy


* Thu Apr 07 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.6.6-1mga1
- Update to 0.6.6
- Add cextensions
- Imported from Mandriva

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 0.6.4-3mdv2011.0
+ Revision: 591429
- rebuild for py 2.7

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.6.4-2mdv2011.0
+ Revision: 590593
- rebuild for python 2.7

* Tue Sep 07 2010 Lev Givon <lev@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 576682
- Update to 0.6.4.
- Update to 0.6.2.
- Update to 0.6.1.

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.5.8-1mdv2010.1
+ Revision: 493276
- update to new version 0.5.8

* Tue Dec 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.7-1mdv2010.1
+ Revision: 483307
- update to new version 0.5.7

* Mon Sep 14 2009 Lev Givon <lev@mandriva.org> 0.5.6-1mdv2010.0
+ Revision: 441080
- Update to 0.5.6.

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.5-1mdv2010.0
+ Revision: 396016
- update to new version 0.5.5

* Wed May 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.4p2-1mdv2010.0
+ Revision: 380279
- update to new version 0.5.4p2

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.4p1-1mdv2010.0
+ Revision: 377349
- update to new version 0.5.4p1

* Sat May 02 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 370658
- update to new version 0.5.3

* Sun Mar 15 2009 Michael Scherer <misc@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 355347
- update to new version
- do not hardcode the module name everywhere
- use a different source url to ease update with mdvsys

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.4.8-2mdv2009.1
+ Revision: 323373
- rebuild

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.8-1mdv2009.1
+ Revision: 302684
- 0.4.8

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.4.7p1-1mdv2009.0
+ Revision: 280565
- New version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.4.6-2mdv2009.0
+ Revision: 269043
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Lev Givon <lev@mandriva.org> 0.4.6-1mdv2009.0
+ Revision: 218094
- Update to 0.4.6.

* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1mdv2008.1
+ Revision: 173632
- fix build deps (duh!)
- import python-sqlalchemy


* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1mdv2008.1
- initial Mandriva package

* Sun Jan 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1.RHEL4
- initial Redhat RHEL4 package.
